---
title: "Resolution 014: Budget 008: Critical Fixes - 2023-12-06"
---

- Deadline: 2023-12-24
- Size: Large

## Summary

We (decentral1se, wykwit, moritz, knoflook) have identified bugs and lacking features that are a big obstacle to using abra.

We have roughly estimated the work to fix the bugs to take between 27 and 75 hours. We would also like to request onboarding budget for two new developers to smoothly get started on the bug fixes (10 hours per person).

We'd like to request no more than 1900€ of budget to cover the labor and onboarding. If less than 95 hours is spent, the remaining budget will not be paid out.

## Details

estimating: small (1-3 hours), medium (3-8 hours), large (8-15 hours) & order is priority.


| NAME | estimation |
| ---- | ----- |
| [#535 Comment parsing and modifiers](https://git.coopcloud.tech/coop-cloud/organising/issues/535) | Large |
| [#519 abra app new `[<recipe>]` `[<version>]`](https://git.coopcloud.tech/coop-cloud/organising/issues/519) | Medium |
| [#518 Abra fails silently if required image doesn't exist](https://git.coopcloud.tech/coop-cloud/organising/issues/518) | Medium |
| [#527 abra catalogue generate `<recipe name>` ignores the specified recipe](https://git.coopcloud.tech/coop-cloud/organising/issues/527) | Small |
| [#509 abra app remove could wait until volume is not in use](https://git.coopcloud.tech/coop-cloud/organising/issues/509) | Medium |
| [#530 abra recipe fetch can only fetch a single recipe](https://git.coopcloud.tech/coop-cloud/organising/issues/530) | Medium |
| [#525 prevent abra app cp from applying file permissions.](https://git.coopcloud.tech/coop-cloud/organising/issues/525) | Medium |
| [#537 Fix the operators tutorial](https://git.coopcloud.tech/coop-cloud/organising/issues/537) | Medium |

Estimation: best case: (8 * 1) + (3 * 6) + (1 * 1) = 27 hours
Estimation: worst case: (15 * 1) + (8 * 6) + (1 * 3) = 73 hours
+ 10 hours for onboarding * 2 people = 47-93 hours


**Budget amount**: 1900€/95 hours at maximum

**Who will implement this:** p4u1, wykwit, moritz, knoflook

**When will the money be spent:** Before the end of February 2024.

**What is the money for:** Fixing bugs and improving operator docs.
